game.data = { "customFonts" : [ "Graziano.ttf" ], "font" : "18px Arial", "height" : 600, "pauseScreen" : { "scenes" : [ { "actions" : [ { "type" : "Wait", "waitType" : "Forever" } ], "backgroundColor" : [ 242, 242, 242, 255 ], "name" : "main", "objects" : [ { "height" : 38, "resource" : "MenuButton", "text" : "Resume", "width" : 171, "x" : 304, "y" : 170 }, { "height" : 38, "name" : "MenuButton1", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 255, 255, 255, 255 ], "object" : "MenuButton1", "type" : "ChangeColor" } ], "onMouseRelease" : [ { "target" : "saveGame", "targetType" : 0, "type" : "GoToScene" } ], "resource" : "MenuButton", "text" : "Save Game", "width" : 171, "x" : 305, "y" : 230 }, { "height" : 38, "name" : "MenuButton2", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 255, 255, 255, 255 ], "object" : "MenuButton2", "type" : "ChangeColor" } ], "onMouseRelease" : [ { "target" : "loadGame", "targetType" : 0, "type" : "GoToScene" } ], "resource" : "MenuButton", "text" : "Load Game", "width" : 171, "x" : 304, "y" : 293 }, { "height" : 38, "name" : "MenuButton4", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 255, 255, 255, 255 ], "object" : "MenuButton4", "type" : "ChangeColor" } ], "resource" : "MenuButton", "text" : "Quit", "width" : 171, "x" : 303, "y" : 356 } ], "type" : "Scene" }, { "actions" : [ { "comment" : "create save slots", "script" : "var width = game.width;\nvar height = game.height;\nvar scene = game.getCurrentScene();\nvar hw = width / 2;\n\nvar data = { \"resource\" : \"emptySlotTextbox\" }; //use already created and styled resource for all textbox slots\nvar line = 0;\nvar yoffset = 60;\nvar xoffset = 1;\nvar x = xoffset;\nvar border = 2; //border width\nvar savedGames = game.getSavedGames();\n\nfor( var i =0; i < 10; i++) {\n\tvar textbox = new belle.objects.TextBox(data);\n\ttextbox.setWidth(hw-border-xoffset);\n\ttextbox.setX(x);\n\ttextbox.setY(yoffset + (textbox.height+5)*line);\n\ttextbox.setText((i+1) + \". Empty Slot\");\n\ttextbox.name = \"textbox_\" + i;\n\tif (i >= 0 && i < savedGames.length && savedGames[i] !== null) {\n\t\tvar entry = savedGames[i];\n\t\ttextbox.setText((i +1) + \". \" + entry.name+\"\\n\"+entry.date);\n\t}\n\ttextbox.addEventListener(\"mouserelease\", function() {\n\t\tvar id = parseInt(this.name.split(\"_\")[1]);\n\t\tvar data = game.save(id);\n\t\tthis.setText( (id+1) + \". \" + data.name+\" \\n\"+data.date);\n\t});\n\t\n\tx += textbox.width + border + xoffset;\n\tscene.addObject(textbox);\t\n\n\tif ( (i+1) % 2 == 0) { //2 slots per line\n\t\tline++;\n\t\tx = xoffset;\n\t}\n}", "type" : "RunScript" }, { "type" : "Wait", "waitType" : "Forever" } ], "backgroundColor" : [ 242, 242, 242, 255 ], "name" : "saveGame", "objects" : [ { "font" : "24px Ubuntu", "height" : 38, "resource" : "titleBox", "text" : "Save Game", "textAlignment" : "Left|Top", "width" : 159, "x" : 308, "y" : 14 } ], "type" : "Scene" }, { "actions" : [ { "comment" : "create load slots", "script" : "var width = game.width;\nvar height = game.height;\nvar hw = width / 2;\n\nvar data = { \"resource\" : \"emptySlotTextbox\" }; //use already created and styled resource for all textbox slots\nvar line = 0;\nvar xoffset = 1;\nvar x = xoffset;\nvar yoffset = 60;\nvar border = 2; //border width\nvar savedGames = game.getSavedGames();\n\nfor( var i =0; i < 10; i++) {\n\tvar textbox = new belle.objects.TextBox(data);\n\ttextbox.setWidth(hw-border-1);\n\ttextbox.setX(x);\n\ttextbox.setY(yoffset+(textbox.height+5)*line);\n\ttextbox.setText((i+1) + \". Empty Slot\");\n\ttextbox.name = \"textbox_\" + i;\n\n\tif (i >= 0 && i < savedGames.length && savedGames[i] !== null) {\n\t\tvar entry = savedGames[i];\n\t\ttextbox.setText( (i +1)  + \". \" + entry.name+\" \\n\"+entry.date);\n\t\ttextbox.addEventListener(\"mouserelease\", function() {\n\t\t\tvar id = parseInt(this.name.split(\"_\")[1]);\n\t\t\tvar data = game.load(id);\t\n\t\t}); \n\t}\n\t\n\tx += textbox.width + border + xoffset;\n\tgame.getCurrentScene().addObject(textbox);\t\n\n\tif ( (i+1) % 2 == 0) { //2 slots per line\n\t\tline++;\n\t\tx = xoffset;\n\t}\n}", "type" : "RunScript" }, { "type" : "Wait", "waitType" : "Forever" } ], "backgroundColor" : [ 242, 242, 242, 255 ], "name" : "loadGame", "objects" : [ { "font" : "24px Ubuntu", "height" : 35, "resource" : "titleBox", "text" : "Load Game", "width" : 171, "x" : 316, "y" : 14 } ], "type" : "Scene" } ] }, "resources" : { "DialogueBox" : { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 190, "name" : "DialogueBox", "objects" : [ { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 30, "name" : "speakerTextBox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "", "textAlignment" : "Left|Top", "textColor" : [ 0, 0, 0, 255 ], "type" : "TextBox", "visible" : true, "width" : 640, "x" : 0, "y" : 320 }, { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 160, "name" : "dialogueTextBox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "", "textAlignment" : "Left|Top", "textColor" : [ 0, 0, 0, 255 ], "type" : "TextBox", "visible" : true, "width" : 640, "x" : 0, "y" : 350 } ], "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "type" : "DialogueBox", "visible" : true, "width" : 640, "x" : 0, "y" : 320 }, "MenuButton" : { "backgroundColor" : [ 220, 220, 220, 255 ], "cornerRadius" : 5, "height" : 30, "name" : "MenuButton", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 255, 255, 255, 255 ], "object" : "MenuButton", "type" : "ChangeColor" } ], "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "Button", "textAlignment" : "HCenter|VCenter", "textColor" : [ 0, 0, 0, 255 ], "type" : "Button", "visible" : true, "width" : 137, "x" : 436, "y" : 260 }, "TextBox" : { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 200, "name" : "TextBox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "Text goes here...", "textAlignment" : "Left|Top", "textColor" : [ 0, 0, 0, 255 ], "type" : "TextBox", "visible" : true, "width" : 800, "x" : 0, "y" : 400 }, "demo-screenshot-gnulinux-resized" : { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 435, "image" : "demo-screenshot-gnulinux-resized.png", "name" : "demo-screenshot-gnulinux-resized", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "type" : "Image", "visible" : true, "width" : 720, "x" : 0, "y" : 0 }, "emptySlotTextbox" : { "backgroundColor" : [ 220, 220, 220, 255 ], "borderColor" : [ 0, 0, 0, 255 ], "borderWidth" : 1, "cornerRadius" : 9, "height" : 41, "name" : "emptySlotTextbox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "Empty Slot", "textAlignment" : "Left|VCenter", "textColor" : [ 0, 0, 0, 255 ], "type" : "TextBox", "visible" : true, "width" : 163, "x" : 423, "y" : 277 }, "gnu" : { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 221, "image" : "gnu.png", "name" : "gnu", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "type" : "Image", "visible" : true, "width" : 173, "x" : 0, "y" : 0 }, "menuButton" : { "backgroundColor" : [ 220, 220, 220, 255 ], "borderColor" : [ 0, 0, 0, 255 ], "borderWidth" : 1, "cornerRadius" : 10, "height" : 66, "name" : "menuButton", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 255, 255, 255, 255 ], "object" : "menuButton", "type" : "ChangeColor" } ], "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "Button", "textAlignment" : "HCenter|VCenter", "textColor" : [ 0, 0, 0, 255 ], "type" : "Button", "visible" : true, "width" : 200, "x" : 379, "y" : 273 }, "titleBox" : { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 28, "name" : "titleBox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "Text goes here...", "textAlignment" : "HCenter|Top", "textColor" : [ 0, 0, 0, 255 ], "type" : "TextBox", "visible" : true, "width" : 137, "x" : 389, "y" : 250 } }, "scenes" : [ { "actions" : [ { "type" : "Wait", "waitType" : "Forever" } ], "backgroundColor" : [ 242, 242, 242, 255 ], "name" : "main_menu", "objects" : [ { "height" : 38, "onMouseRelease" : [ { "target" : "Next", "targetType" : 1, "type" : "GoToScene" } ], "resource" : "MenuButton", "text" : "Start Game", "width" : 171, "x" : 304, "y" : 229 }, { "height" : 38, "name" : "MenuButton1", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 255, 255, 255, 255 ], "object" : "MenuButton1", "type" : "ChangeColor" } ], "onMouseRelease" : [ { "comment" : "Go to Load Game Screen", "script" : "game.pause();\ngame.setCurrentScene(\"loadGame\");", "type" : "RunScript" } ], "resource" : "MenuButton", "text" : "Load Game", "width" : 171, "x" : 306, "y" : 296 } ], "type" : "Scene" }, { "actions" : [ { "character" : "GNU", "object" : "DialogueBox", "text" : "Hello", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "I said i didn't want to present this.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Why not??", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "It's a crappy software nobody gives a crap.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Ouch...", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Truth hurts.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Well it's not that crappy! It has improved and is in active development.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Still not convinced.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Ok, let me show you some things you can already achieve.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "First i'm going to change the background, it's very dark in here.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "backgroundImage" : "3677861736_a98392d6b9_o.jpg", "type" : "ChangeBackground" }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Woah!... Errr i mean, boring!", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "No effects on the transition, that's really boring!", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "I know. The first step was to have the basic stuff working. The next step is to add awesome effects.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Meh... Good excuse though!", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Anyway, moving on.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Maybe the next step can be show you on the scene.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "object" : "gnu", "transitions" : [ { "duration" : 2, "endX" : 284, "endY" : 105, "object" : "gnu", "startX" : -165, "startY" : 105, "type" : "Slide" } ], "type" : "Show" }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Damn! I TOLD YOU I DIDN'T WANT TO PRESENT THIS! WHY DID YOU PUT ME ON THE SCENE?!?", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Relax it was just to demonstrate the Show action, which can be used with any object on the scene.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "I certainly don't care, sir!", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Okay, sorry, but now i have to leave urgently.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "Author", "object" : "DialogueBox", "text" : "Can you just continue the tutorial from here? Thanks, bye.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "WAIT! Wow, like i have a choice...", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Well, this is awkward to say the least.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Anyway, what are you thinking about this piece of trash?", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "object" : { "backgroundColor" : [ 255, 255, 255, 0 ], "height" : 198, "name" : "object", "objects" : [ { "backgroundColor" : [ 0, 0, 0, 225 ], "name" : "", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 0, 0, 0, 245 ], "object" : "", "type" : "ChangeColor" } ], "onMouseRelease" : [ { "label" : "cool", "type" : "GoToLabel" } ], "opacity" : 229, "resource" : "menuButton", "text" : "Cool, seems interesting", "textColor" : [ 255, 255, 255, 255 ], "width" : "100%", "x" : 244, "y" : 118 }, { "backgroundColor" : [ 0, 0, 0, 225 ], "name" : "", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 0, 0, 0, 245 ], "object" : "", "type" : "ChangeColor" } ], "onMouseRelease" : [ { "label" : "better", "type" : "GoToLabel" } ], "resource" : "menuButton", "text" : "Meh, i've seen better", "textColor" : [ 255, 255, 255, 255 ], "width" : "100%", "x" : 243, "y" : 198 }, { "backgroundColor" : [ 0, 0, 0, 225 ], "name" : "", "onMouseMove" : [ { "changeObjectBackgroundColor" : true, "changeObjectColor" : false, "color" : [ 0, 0, 0, 245 ], "object" : "", "type" : "ChangeColor" } ], "onMouseRelease" : [ { "label" : "trash", "type" : "GoToLabel" } ], "resource" : "menuButton", "text" : "Yes, it's a total trash!", "textColor" : [ 255, 255, 255, 255 ], "width" : "100%", "x" : 244, "y" : 280 } ], "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "type" : "Menu", "visible" : true, "width" : 300, "x" : 244, "y" : 118 }, "type" : "ShowMenu" }, { "name" : "cool", "type" : "Label" }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Oh come on, you're just saying that to be polite.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "label" : "continue", "type" : "GoToLabel" }, { "name" : "better", "type" : "Label" }, { "character" : "GNU", "object" : "DialogueBox", "text" : "I really have no doubt about that.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "label" : "continue", "type" : "GoToLabel" }, { "name" : "trash", "type" : "Label" }, { "character" : "GNU", "object" : "DialogueBox", "text" : "That's right!", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "name" : "continue", "type" : "Label" }, { "character" : "GNU", "object" : "DialogueBox", "text" : ".............", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Listen i seem to be very rude and annoying, but i'm actually not like that.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "I'm just joking with him, like good friends do.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "I have to admit that his application has some interesting features.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Like having a graphical editor where you can build games like this.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Here, take a look.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "object" : "demo-screenshot-gnulinux-resized", "transitions" : [ { "duration" : 2, "fadeType" : "in", "object" : "demo-screenshot-gnulinux-resized", "type" : "Fade" } ], "type" : "Show" }, { "type" : "Wait", "waitType" : "MouseClick" }, { "object" : "demo-screenshot-gnulinux-resized", "transitions" : [ { "duration" : 2, "fadeType" : "out", "object" : "demo-screenshot-gnulinux-resized", "type" : "Fade" } ], "type" : "Hide" }, { "character" : "GNU", "object" : "DialogueBox", "text" : "Pretty cool, huh?", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "The editor works on many platforms, namely GNU/Linux, Mac OS X and Windows.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "The editor will generate your game ready to be played in your browser.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "That's where the engine comes in.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "As you can see right now, it runs inside your browser.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "It will run on any modern browser like Firefox, Google Chrome, Internet Explorer 9 and above and the list goes on.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "It will also adapt to different screen sizes, so you can play your favorite visual novels on a phone or tablet.", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } }, { "character" : "GNU", "object" : "DialogueBox", "text" : "I guess that's all for now folks. See you in the next release!", "type" : "Dialogue", "wait" : { "type" : "Wait", "waitType" : "MouseClick" } } ], "backgroundColor" : [ 0, 0, 0, 255 ], "name" : "scene", "objects" : [ { "objects" : [ { "backgroundColor" : [ 0, 0, 0, 190 ], "cornerRadius" : 5, "height" : 30, "name" : "speakerTextBox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "", "textAlignment" : "HCenter|Top", "textColor" : [ 12, 146, 255, 255 ], "type" : "TextBox", "visible" : true, "width" : 100, "x" : 3, "y" : 383 }, { "backgroundColor" : [ 0, 0, 0, 203 ], "font" : "18px SansSerif", "height" : 160, "name" : "dialogueTextBox", "opacity" : 255, "padding" : { "bottom" : 0, "left" : 0, "right" : 0, "top" : 0 }, "text" : "", "textAlignment" : "Left|Top", "textColor" : [ 255, 255, 255, 255 ], "type" : "TextBox", "visible" : true, "width" : 800, "x" : 0, "y" : 419 } ], "resource" : "DialogueBox", "width" : 800, "x" : -1, "y" : 383 }, { "resource" : "gnu", "visible" : false, "x" : 284, "y" : 107 }, { "resource" : "demo-screenshot-gnulinux-resized", "visible" : false, "x" : 32, "y" : 56 } ], "type" : "Scene" }, { "actions" : [ { "object" : "TextBox", "transitions" : [ { "duration" : 4, "fadeType" : "in", "object" : "TextBox", "type" : "Fade" } ], "type" : "Show" }, { "loop" : false, "sound" : "Golden-Wings.ogg", "type" : "PlaySound", "volume" : 100 }, { "type" : "Wait", "waitType" : "MouseClick" }, { "object" : "TextBox", "transitions" : [ { "duration" : 4, "fadeType" : "out", "object" : "TextBox", "type" : "Fade" } ], "type" : "Hide" } ], "backgroundColor" : [ 0, 0, 0, 255 ], "name" : "scene1", "objects" : [ { "font" : "46px Graziano", "resource" : "TextBox", "text" : "The End!", "textAlignment" : "HCenter|VCenter", "textColor" : [ 255, 255, 255, 255 ], "visible" : false, "x" : 2, "y" : 193 } ], "type" : "Scene" } ], "textSpeed" : 50, "title" : "default", "width" : 800 }